Skip to main content
DELETE
Unlock time entries (admin override)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json

Specify either the exact current cutoff in before, or entry_ids for specific entries.

before
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

entry_ids
string[]

Explicit list of time entry ids to unlock.

Response

Unlock applied

affected_count
integer

Approximate number of entries whose effective locked state changed, based on an eventually consistent index count.

Example:

42

locks
object[]